For the latest news and information visit The GNU Crypto project

## gnu.crypto.sig
Class SignatureFactory

    java.lang.Object
      |
      +--gnu.crypto.sig.SignatureFactory

public class SignatureFactory
extends java.lang.Object

A Factory to instantiate signature-with-appendix handlers.

Method Summary
`static ISignature` `getInstance(java.lang.String ssa)` Returns an instance of a signature-with-appendix scheme given its name.
`static java.util.Set` `getNames()` Returns a `Set` of signature-with-appendix scheme names supported by this Factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final ISignature getInstance(java.lang.String ssa)

  Returns an instance of a signature-with-appendix scheme given its name.

  Parameters:
    `ssa` - the case-insensitive signature-with-appendix scheme name.
  Returns:
    an instance of the scheme, or `null` if none found.

### getNames

    public static final java.util.Set getNames()

  Returns a `Set` of signature-with-appendix scheme names supported by this Factory.

  Returns:
    a `Set` of signature-with-appendix scheme names (Strings).

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.